version: "3.3"
services:
  usasapp:
    networks:
      - proxy
    environment:
      - APPLICATION_ADMIN_PASSWORD=test
      - APPLICATION_ADMIN_RESET=true
      - VIRTUAL_HOST=${COMPOSE_PROJECT_NAME}-usas.demo2.ssdt.io
      - VIRTUAL_PORT=8080
      - LETSENCRYPT_HOST=${COMPOSE_PROJECT_NAME}-usas.demo2.ssdt.io
      - LETSENCRYPT_EMAIL=smith@nwoca.org
      - JAVA_OPTS=-Xmx840m
  uspsapp:
    networks:
      - proxy
    environment:
      - APPLICATION_ADMIN_PASSWORD=test
      - APPLICATION_ADMIN_RESET=true
      - VIRTUAL_HOST=${COMPOSE_PROJECT_NAME}-usps.demo2.ssdt.io
      - VIRTUAL_PORT=8080
      - LETSENCRYPT_HOST=${COMPOSE_PROJECT_NAME}-usps.demo2.ssdt.io
      - LETSENCRYPT_EMAIL=smith@nwoca.org
      - JAVA_OPTS=-Xmx840m
networks:
   proxy:
     external:
        name: proxy_default

